# Method: projects.sipDomains.aliases.create

Creates a alias.

The caller must have `voice.aliases.create` permission on the project.

### HTTP request

`POST https://voice.api.enfonica.com/v1beta1/{parent}/aliases`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">parent</span> | <span class="e-code">string</span><br/>The SIP domain under which to create the alias in the form `projects/*/sipDomains/*`.

### Query parameters
Parameters | &nbsp;
--|--
<span class="e-code">aliasId</span> | <span class="e-code">string</span><br/>The `alias_id` component of the resource name to create, which will be of the form `projects/{project_id}/sipDomains/{sip_domain_id}/aliases/{alias_id}`.<br/><br/>This also forms the address of the alias, of the form: {alias}@{sip_domain_id}.sip.enfonica.com<br/><br/>This must be lowercase alpha-numeric or hyphens and must start and end with an alpha-numeric character, and must be a minimum of 2 and maximum of 30 characters. This is captured in the following regular expression: ^[a-z0-9][a-z0-9-]{0,28}[a-z0-9]$

### Request body

The request body must contain an instance of <span class="e-code">[Alias](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/overview/#resource-alias)</span>.

### Response body

If successful, the response body contains an instance of <span class="e-code">[Alias](/docs/cloud-voice/api-reference/rest/v1beta1/projects.sipDomains.aliases/overview/#resource-alias)</span>.

